/**
 * generated by Xtext
 */
package org.eclipse.etrice.core.fsm.fSM.impl;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.etrice.core.fsm.fSM.FSMPackage;
import org.eclipse.etrice.core.fsm.fSM.InSemanticsRule;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>In Semantics Rule</b></em>'.
 * <!-- end-user-doc -->
 *
 * @generated
 */
public class InSemanticsRuleImpl extends SemanticsRuleImpl implements InSemanticsRule
{
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected InSemanticsRuleImpl()
	{
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass()
	{
		return FSMPackage.Literals.IN_SEMANTICS_RULE;
	}

} //InSemanticsRuleImpl
